/* StdIOEnvironment.java */

package whitespace;

import java.io.*;

import whitespace.IOEnvironment;

public class StdIOEnvironment implements IOEnvironment {
  private BufferedReader reader;
  public StdIOEnvironment() {
    reader = new BufferedReader(new InputStreamReader(System.in));
  }

  public void outChar(char c) throws IOException {
    System.out.print(c);
  }
  public void outNum(long num) throws IOException {
    System.out.print(num);
  }
  public long readNum() throws IOException, NumberFormatException {
    String line = reader.readLine();
    return Long.parseLong(line);
  }

  public int readChar() throws IOException {
    return System.in.read();
  }

  public static void main(String[] args) {
    IOEnvironment env = new StdIOEnvironment();
    long val;
    int c;
    try {
      env.outChar('n');
      env.outChar('u');
      env.outChar('m');
      env.outChar('b');
      env.outChar('e');
      env.outChar('r');
      env.outChar(':');
      val = env.readNum();
      System.out.println("number " + val + " read");
      env.outChar('c');
      env.outChar('h');
      env.outChar('a');
      env.outChar('r');
      env.outChar('s');
      env.outChar(':');
      while ((c = env.readChar()) != -1) {
	System.out.println("'" + (char)c + "'(" + c + ")read");
	if (c == 10 || c ==  13) break;
      }
    } catch (Exception e) {
      System.err.println(e);
      System.exit(1);
    }
    System.exit(0);
  }
}
