/* Token.java */

package whitespace;

public class Token {
  /* g[Nʎq
   * ԍł͂Ȃ!
   */
  public static final int Space = 1;
  public static final int Tab = 2;
  public static final int LF = 3;
  public static final int EOF = -1;
  
  public final int code;
  public final String sourceName;
  public final int sourceLineNo;
  public final int sourceCol;

  public Token(int code, String name, int line, int col) {
    this.code = code;
    this.sourceName = name;
    this.sourceLineNo = line;
    this.sourceCol = col;
  }
  public Token(int code, String name, int line) {
    this(code, name, line, -1);
  }
  public Token(int code, String name) {
    this(code, name, -1);
  }
  public Token(int code) {
    this(code, null);
  }

  public static String codeToName(int code) {
    switch (code) {
    case Space:
      return "Space";
    case Tab:
      return "Tab";
    case LF:
      return "LF";
    case EOF:
      return "EOF";
    default:
      return "??";
    }
  }
}

